Đến nội dung


Hình ảnh

Làm sao xoay đối tượng mà dòng text không bị lộn ngược


  • Please log in to reply
10 replies to this topic

#1 mua_t7

mua_t7

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 June 2009 - 01:15 PM

Các Pro cho em hỏi làm thế nào để xoay đối tượng mà dòng text không bị lộn ngược, vì bản vẽ của em có rất nhiều chú thích trong đó, khi em xoay hình thì các dòng text cũng bị xoay theo. Giúp e với nhé. Thanks...
  • 0

#2 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 03 June 2009 - 01:36 PM

Bạn gõ Mirrtext sau đó chọn 0 và enter
  • 1
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 03 June 2009 - 02:27 PM

Bạn gõ Mirrtext sau đó chọn 0 và enter

Mirrtext Chỉ tác dụng khi dùng lệnh mirror còn khi dùng lệnh rotate thì bó chưng. Có lisp dùng quay tất cả các text trong bộ cvu của bác Hoành ấy.
  • 3

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 hai_1401

hai_1401

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 03 June 2009 - 06:42 PM

Mirrtext Chỉ tác dụng khi dùng lệnh mirror còn khi dùng lệnh rotate thì bó chưng. Có lisp dùng quay tất cả các text trong bộ cvu của bác Hoành ấy.

Bác Duy có thì úp lên cho anh em xem với, em cũng đang cần cái này mà tìm mãi ko thấy :s_big:
  • 1

#5 truongnhataz

truongnhataz

    biết vẽ rectang

  • Members
  • PipPip
  • 86 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 03 June 2009 - 07:27 PM

Các Pro cho em hỏi làm thế nào để xoay đối tượng mà dòng text không bị lộn ngược, vì bản vẽ của em có rất nhiều chú thích trong đó, khi em xoay hình thì các dòng text cũng bị xoay theo. Giúp e với nhé. Thanks...

xoay trên 2d vẫn coi được nhưng ngực với bản vẽ tai text xoai môt lần nữa trên 3d khi xoay mơi ngược xem gương thi cung tai tim xoai lai
  • 1

TIẾT KIỆM LÀ BẢO VÊ MÔI TRƯỜNG


#6 TokyoNhat

TokyoNhat

    biết vẽ spline

  • Members
  • PipPip
  • 94 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 09 July 2011 - 01:11 AM

Mirrtext Chỉ tác dụng khi dùng lệnh mirror còn khi dùng lệnh rotate thì bó chưng. Có lisp dùng quay tất cả các text trong bộ cvu của bác Hoành ấy.


Anh duy anh có thể up cái lisp đó lên được ko ạ . em đang làm đồ án tốt nghiệp sắp phải nộp rồi . Bản vẽ e phải xoay lại 180 ( e để thượng lưu ở dưới , mà trong quy định TL thì thượng lưu phải để trên bây giờ e phải quay ngược bản vẽ ) mà hiệu chỉnh lại text thì rất mất thời gian . anh gửi e cái lisp đó với ạ .
  • 0
  • Quá khứ là lịch sử, tương lai là màu nhiệm, còn hiện tại là món quà của cuộc sống...
  • Cuộc sống vốn không công bằng - Hãy tập quen dần với điều đó

#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 09 July 2011 - 09:55 AM

Anh duy anh có thể up cái lisp đó lên được ko ạ . em đang làm đồ án tốt nghiệp sắp phải nộp rồi . Bản vẽ e phải xoay lại 180 ( e để thượng lưu ở dưới , mà trong quy định TL thì thượng lưu phải để trên bây giờ e phải quay ngược bản vẽ ) mà hiệu chỉnh lại text thì rất mất thời gian . anh gửi e cái lisp đó với ạ .

Lệnh ROT. (cái này mình viết chứ ko9 phải của bác Hoành)

(Defun c:rot ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(command "undo" "be")
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT"))))

(setq gqtTB (dnint "\nNhap goc xoay: "gqtTB1))
(setq gqtTB1 gqtTB)

(setq i 0)
(setq N (sslength ss))
(while (< i N)
(setq TEXTENT (ssname SS i))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(command "ucs" "object" textent)
(setq tbTB (textbox (list (cons -1 textent)))
ll (car tbTB)
ur (cadr tbTB)
ul (list (car ll) (cadr ur))
lr (list (car ur) (cadr ll))
)

(setq daitext (distance ul lr))
(setq goctext(angle ul lr))
(setq dainuatext (/ daitext 2))
(setq diemquay (polar ul goctext dainuatext))

(command ".rotate" textent "" diemquay gqtTB)
(command "ucs" "p")
(setq i (1+ i))
(setvar "osmode" luubatdiem)
)
(command "undo" "end")
(setvar "MODEMACRO" "**CHUC BAN LAM VIEC HIEU QUA** PHAM QUOC DUY - BINH SON - QUANG NGAI")
(Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#8 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 09 July 2011 - 10:09 AM

Anh duy anh có thể up cái lisp đó lên được ko ạ . em đang làm đồ án tốt nghiệp sắp phải nộp rồi . Bản vẽ e phải xoay lại 180 ( e để thượng lưu ở dưới , mà trong quy định TL thì thượng lưu phải để trên bây giờ e phải quay ngược bản vẽ ) mà hiệu chỉnh lại text thì rất mất thời gian . anh gửi e cái lisp đó với ạ .

Có thể vào express ->text->rotate text. Chọn dòng text cần quay và chọn hướng quay là ok
  • -1
Y=acosh(x/a)

#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 09 July 2011 - 10:15 AM

Có thể vào express ->text->rotate text. Chọn dòng text cần quay và chọn hướng quay là ok

Đó chính là torient. Cũng cần phân biệt 2 khái niệm : quay tất cả các text về 1 hướng (torient) và cùg quay tất cả các text đi 1 góc (rotate) ^^
  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 09 July 2011 - 10:36 AM

Đó chính là torient. Cũng cần phân biệt 2 khái niệm : quay tất cả các text về 1 hướng (torient) và cùg quay tất cả các text đi 1 góc (rotate) ^^

Topic này đang hướng đến mục đích Torrent như bác Ketxu nói. Vote cho bác 1 +!
  • -1
Y=acosh(x/a)

#11 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 09 July 2011 - 04:55 PM

Topic này đang hướng đến mục đích Torrent như bác Ketxu nói. Vote cho bác 1 +!

Bạn không lập ra topic này sao bạn biết nó hướng tới đâu?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D